### Method

# AppStream Component set_name

#### Declaration [src]

    void
    as_component_set_name (
      AsComponent* cpt,
      const gchar* value,
      const gchar* locale
    )

#### Description [src]

Set a human-readable name for this component.

Sets property | `AppStream.Component:name`

#### Parameters

`value`

  Type: `const gchar*`

  The name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`locale`

  Type: `const gchar*`

  The BCP47 locale for this value, or `NULL` to use the current active one.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.